{% load i18n bootstrap4 bootstrap4form %}
{% load load_helpdesk_settings %}

{% with request|load_helpdesk_settings as helpdesk_settings %}
    {% if helpdesk_settings.HELPDESK_SUBMIT_A_TICKET_PUBLIC %}
        <p>
            Ce que vous allez écrire va être lu avec attention par une personne de notre équipe. Pas de réponses automatiques ici, vous avez bien affaire à des humains !
            N'hésitez pas à joindre des captures d'écrans afin de faciliter l'identification du problème.</p>
        <p>
            Vos observations constructives nous aident à faire évoluer la plateforme. Nous sommes ravis de les prendre en compte. Toutefois, avant de poser votre question avez-vous pris connaissance des explications qui suivent la correction ? Vous y trouverez peut-être des réponses.
        </p>

        {% if form.errors %}
            {% include 'helpdesk/include/alert_form_errors.html' %}
        {% endif %}
        <form role="form" method="post" enctype="multipart/form-data" onsubmit="parent.scrollTo(0, 0); return true">
            {% csrf_token %}
            {{ form|bootstrap4form }}
            <button type="submit" class="btn btn-info btn-lg btn-block" onclick="style.display = 'none'">
                {% trans "Submit Ticket" %} <i class="fa fa-paper-plane"></i>
            </button>
        </form>
    {% else %}
        <p>{% trans "Public ticket submission is disabled. Please contact the administrator for assistance." %}</p>
    {% endif %}
{% endwith %}
